## hlbackup 4

=== debian/changelog ===
hlbackup (4) unstable; urgency=low

  * Use rsync "--link-dest" option instead of "cp --link" command
  * add RSYNC_RSH environment variable to set ssh option
  * New standards version: 3.8.0
  * Change logger name from "backup" to "hlbackup"
  * Remove function "backup_begin" and "backup_end"
  * Set priority using nice/ionice before processing

 -- Taku YASUI <tach@debian.or.jp>  Wed, 21 Jan 2009 14:04:45 +0900

hlbackup (3) unstable; urgency=low

  * Fix when the argument is wrong

 -- Taku YASUI <tach@debian.or.jp>  Thu, 21 Feb 2008 19:04:38 +0900

hlbackup (2) unstable; urgency=low

  * Fix cron.d to run hlbackup-clean correctly

 -- Taku YASUI <tach@debian.or.jp>  Tue, 11 Sep 2007 14:06:04 +0900

hlbackup (1) unstable; urgency=low

  * Initial release.

 -- Taku YASUI <tach@debian.or.jp>  Sun, 02 Sep 2007 22:27:07 +0900

Local variables:
mode: debian-changelog
End:

## hlbackup 5

=== debian/changelog ===
hlbackup (5) unstable; urgency=low

  * Add install script other than Debian

 -- Taku YASUI <tach@debian.or.jp>  Fri, 23 Jan 2009 02:59:31 +0900

## hlbackup 6

=== Makefile ===
# Makefile for installing hlbackup

default:
	# nothing to do

install:
	mkdir -p /usr/local/bin /etc/default /etc/hlbackup /var/log/hlbackup
	install -m 755 hlbackup /usr/local/bin/hlbackup
	install -m 755 hlbackup-clean /usr/local/bin/hlbackup-clean
	install -m 644 debian/default /etc/default/hlbackup
	install -m 644 run-backup /etc/hlbackup/run-backup

=== debian/changelog ===
hlbackup (6) unstable; urgency=low

  * Fix error when some variables are empty
  * Add error check: src and host are exist
  * Fix: --link-dest will be empty when backup hostname directories
    are symlink

 -- Taku YASUI <tach@debian.or.jp>  Mon, 26 Jan 2009 16:28:02 +0900

=== debian/control ===
Source: hlbackup
Section: admin
Priority: optional
Maintainer: Taku YASUI <tach@debian.or.jp>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.8.0

Package: hlbackup
Architecture: all
Depends: rsync, ruby, ${misc:Depends}
Description: Backup script using hardlink and rsync
 hlbackup is backup tool using hardlink and rsync.
 .
  * backup once per day (backup to YYYY/MM/DD directory)
  * copy as hardlink from backup of yesterday
  * overwrite from original using rsync
 .
 hlbackup is rewrite of pdumpfs using bash script and rsync.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk

install/hlbackup::
	install -m 0755 hlbackup $(DEB_DESTDIR)/usr/sbin/hlbackup
	install -m 0755 hlbackup-clean $(DEB_DESTDIR)/usr/sbin/hlbackup-clean
	install -m 0644 run-backup $(DEB_DESTDIR)/etc/hlbackup/run-backup
	install -m 644 debian/lintian $(DEB_DESTDIR)/usr/share/lintian/overrides/hlbackup
